List a booking's line items
curl --request GET \
--url https://api.letsdothis.com/v0/bookings/{id}/line-items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/bookings/{id}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/bookings/{id}/line-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "66c1d2e3f40516273849a5b6",
"amount": {
"value": 6500,
"currencyCode": "USD"
},
"itemType": "TICKET",
"name": "10K General Entry",
"itemId": "66a4b5c6d7e8f9012a3b4c5d",
"itemSelectionId": null,
"participantId": "7d22e97f-b583-4e5b-a2bb-1b927f826a32",
"displayName": null,
"externalLineItemId": "order-1042-entry"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Bookings
List a booking's line items
Returns a paginated list of the booking’s financial line items.
GET
/
v0
/
bookings
/
{id}
/
line-items
List a booking's line items
curl --request GET \
--url https://api.letsdothis.com/v0/bookings/{id}/line-items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/bookings/{id}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/bookings/{id}/line-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "66c1d2e3f40516273849a5b6",
"amount": {
"value": 6500,
"currencyCode": "USD"
},
"itemType": "TICKET",
"name": "10K General Entry",
"itemId": "66a4b5c6d7e8f9012a3b4c5d",
"itemSelectionId": null,
"participantId": "7d22e97f-b583-4e5b-a2bb-1b927f826a32",
"displayName": null,
"externalLineItemId": "order-1042-entry"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Authorizations
Query Parameters
Response
A page of the booking's line items.
Where you are in a paginated list.
Pass next as page[after] to get the next page, or prev as page[before] to get the previous one. An empty cursor means there are no more pages in that direction. Treat cursors as opaque strings.
Show child attributes
Show child attributes
Example:
{
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
Was this page helpful?

